1. Vous venez souvent ici ? Vous aimeriez participer aux discussions et intégrer notre chaleureuse communauté de fans incontestés ? Et bien n'hésitez pas à vous inscrire ! C'est facile et rapide ! A bientôt sur TheWitcher3.fr ! ;)

[Mod] Erreur compilation peut importe le mod

Discussion dans 'Gwynt & Mods' créé par DirlinDAPDLT, 1 Avril 2016.

  1. DirlinDAPDLT

    DirlinDAPDLT Nouveau Membre

    Je joue sur:
    PC
    Salutations à tous et à toutes !

    Je viens vers vous quelque peu abattu, après avoir cherché en vain une solution à mon problème pendant un sacré moment.

    J'ai remarqué, il y a longtemps déjà, que je ne pouvais installer de mods modifiant un tant soit peu les scripts. Et ce, bien que le Merger ne détecte aucun problème, ou même qu'il n'y ait qu'un seul mod installé (et à jour avec ça !).

    Bref, dernièrement, je me suis dit, "allez, on retente, y'a pas de raison logique pour que ce bug n'arrive qu'à moi", mais j'ai rencontré le même problème.

    Concrètement :
    - J'installe le mod Alchemy Redone pour 1.12 (comme l'est mon jeu). Je l'installe manuellement, je place ça dans mon dossier Mods.
    - Je lance le jeu, j'ai l'erreur :

    Error [content0]game\cameras\exploration\driftcamera.ws(136): Class 'CCameraRotationControllerDrift' already defined.

    - Je râle, et effectue la manip' décrite ici (avec le ModBaseScript) : How to solve script compilation issues when launching the game with mods

    - Je relance plein d'espoir : Erreur. La même.

    Je ne sais plus quoi faire.

    A l'aide.

    S'il vous plait...

    Merci d'avance !
     
    Dernière édition par un modérateur: 3 Avril 2016
  2. LhO

    LhO Membre bien connu

    Je joue sur:
    PC
    Salut,
    je pense que c'est ça que tu as fait mais on sait jamais :


    Sinon désinstalle tous tes mods, et essaie les un par un.
    Regarde sur le site où tu les as DL et vérifie qu'ils soient compatibles avec ta version de "the witcher 3" (patch) et s'il y a d'autres conflits connus avec d'autres mods.

    J'ai regardé sur nexus, le mod n'est pas compatible en NG+,.
    Tu peux aussi report le bug sur nexus.
     
    Dernière édition par un modérateur: 3 Avril 2016
    Toumba aime ça.
  3. DirlinDAPDLT

    DirlinDAPDLT Nouveau Membre

    Je joue sur:
    PC
    Ouaip, c'est ça que j'ai fait !

    La version est, selon les dires de l'auteur compatible en 1.12, et mon jeu est en 1.12.
    Il n'y a que ce mod d'installé (j'ai tout désinstallé/réinstallé pour tester), et l'erreur est toujours là...

    Quant au fait de rapporter le bug sur le nexus, je ne vois pas l'intérêt, puisque j'ai cette erreur peu importe le mod, apparemment (j'ai essayé avec the Enhancement System)...

    Merci de ta réponse !
     
  4. DirlinDAPDLT

    DirlinDAPDLT Nouveau Membre

    Je joue sur:
    PC
    Nouvelles informations :

    J'ai essayé d'installer Friendly HUD (pour 1.12), sans succès, puis Auto Loot (toujours 1.12), sans plus de succès.
    Je précise que je les ai installé séparément, et que j'ai toujours la même erreur :

    Error [content0]game\cameras\exploration\driftcamera.ws(136): Class 'CCameraRotationControllerDrift' already defined.

    La moindre idée est la bienvenue !
    Merci !
     
  5. LhO

    LhO Membre bien connu

    Je joue sur:
    PC
    Tu as essayer avec le script merger de commenter une des classes CCameraRotationControllerDrift et de n'en conserver qu'une seule ? (probablement une qui viens d'un mod) avant de créer ton patch ?

    ( Avec les fichiers driftcamera.ws, plutôt que de le faire en auto ?
    En auto la fusion de 2 fichiers ne marche pas forcément, et il faut mettre les mains dans le cambouis )
     
  6. DirlinDAPDLT

    DirlinDAPDLT Nouveau Membre

    Je joue sur:
    PC
    Hum... Alors, je ne vais pas affirmer avoir tout compris, mais je vais faire comme si :
    Je ne peux pas merger, dans la mesure où script merger ne détecte aucun conflit.

    Et si tu parles d'une autre manipulation, je ne la connais, hélas, pas...?
     
    Dernière édition: 4 Avril 2016
  7. LhO

    LhO Membre bien connu

    Je joue sur:
    PC
    Le scriptmerger ne détecte pas de conflit ou créer un patch automatiquement ?
    Effectivement si le Scriptmerger ne détecte pas de conflit ça deviens ardu (et là, je n'ai plus aucun élément de réponse à apporter).
     
  8. DirlinDAPDLT

    DirlinDAPDLT Nouveau Membre

    Je joue sur:
    PC
    Il ne détecte aucun conflit, c'est bien là mon inquiétude...

    Les deux mods détectés (que l'on peut voir en bas à droite) sont le ModBaseScript et Friendly HUD.
    tristesse.png

    J'ai même essayé de mettre deux mods (Friendly HUD et Primer), de les merger (avec succès) et de lancer le jeu. C'est toujours la même erreur qui revient.
     
    Dernière édition: 4 Avril 2016
  9. LhO

    LhO Membre bien connu

    Je joue sur:
    PC
    Je n'ai pas plus d'idée à proposer, ça va plus loin que mes compétences.
     
  10. DirlinDAPDLT

    DirlinDAPDLT Nouveau Membre

    Je joue sur:
    PC
    Erf... Tant pis, le jeu de base est déjà très bien :D

    Merci pour toute ton aide et ton temps !
     
  11. DirlinDAPDLT

    DirlinDAPDLT Nouveau Membre

    Je joue sur:
    PC
    Nouvelles informations :
    Pour tout avouer, dans ma précipitations, je n'avais pas installé tous les DLCs gratuits, ni Hearts of Stone...

    Donc après une énième installation, j'installe le tout, plus Alchemy Redone, et l'erreur a changée :


    Error [modwitcher1alchemy07brecipe]game\player\playerwitcher.ws(149): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\gameplay\focus\focus.ws(199): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\gameplay\focus\focus.ws(253): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\gui\menus\gwintgamemenu.ws(104): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\player\states\playerdialogstate.ws(48): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\player\states\aimthrow.ws(42): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\player\states\combat.ws(124): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\player\states\exploration.ws(55): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\player\states\swimming.ws(252): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\player\states\vehicles\horseriding.ws(49): Function 'LogWithName' does not take 1 param(s)
    Error [content0]game\player\states\vehicles\sailing.ws(56): Function 'LogWithName' does not take 1 param(s)

    Warning [content0]engine\telemetrykeyword.ws(9): Native function 'Log' was not exported from class 'CR4TelemetryScriptProxy' in C++ code.



    L'Erreur ne change pas (à l'exception de la première ligne, qui ne change que le nom du mod), peu importe que cela soit Alchemy Redone / AutoLoot ou FriendlyHUD.

    Le Merger ne détecte toujours pas de conflits...
     

Partager cette page